"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DOCKER_HOST_OS = exports.PLATFORM = exports.WATCH_PATTERNS = exports.DB_DIR = exports.DOCKER_MIGRATIONS_DIR = exports.DOCKER_IMAGE = exports.DOCKER_APP_DIR = exports.IGNORE_ROLES = exports.DEV_DB_URI = exports.LOCALHOST = exports.USE_DOCKER_IMAGE = exports.OPENRESTY_DIR = exports.MIGRATIONS_DIR = exports.PG_DUMPALL_CMD = exports.PG_DUMP_CMD = exports.PSQL_CMD = exports.SQITCH_CMD = exports.APGDIFF_JAR_PATH = exports.JAVA_CMD = exports.LOG_LENGTH = exports.DB_PORT = exports.DB_ANON_ROLE = exports.DB_NAME = exports.DB_HOST = exports.DB_PASS = exports.DB_USER = exports.SUPER_USER_PASSWORD = exports.SUPER_USER = exports.ENV_FILE = exports.APP_DIR = exports.COMPOSE_PROJECT_NAME = void 0;

var _path = require("path");

var _dotenv = require("dotenv");

var _fs = _interopRequireDefault(require("fs"));

var _os = _interopRequireDefault(require("os"));

var _child_process = _interopRequireDefault(require("child_process"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let cfg = {
  //path: typeof(program.env) == 'string' ? program.env : '.env'
  path: '.env'
};

if (_fs.default.existsSync(cfg.path) && _fs.default.statSync(cfg.path).isFile()) {
  (0, _dotenv.config)(cfg); //.env file vars added to process.env

  process.env.ENV_FILE = (0, _path.resolve)(cfg.path).replace(/\\/g, '/');
  process.env.APP_DIR = (0, _path.dirname)(process.env.ENV_FILE);
}

const COMPOSE_PROJECT_NAME = process.env.COMPOSE_PROJECT_NAME;
exports.COMPOSE_PROJECT_NAME = COMPOSE_PROJECT_NAME;
const APP_DIR = process.env.APP_DIR || process.cwd();
exports.APP_DIR = APP_DIR;
const ENV_FILE = process.env.ENV_FILE;
exports.ENV_FILE = ENV_FILE;
const SUPER_USER = process.env.SUPER_USER;
exports.SUPER_USER = SUPER_USER;
const SUPER_USER_PASSWORD = process.env.SUPER_USER_PASSWORD;
exports.SUPER_USER_PASSWORD = SUPER_USER_PASSWORD;
const DB_USER = process.env.DB_USER;
exports.DB_USER = DB_USER;
const DB_PASS = process.env.DB_PASS;
exports.DB_PASS = DB_PASS;
const DB_HOST = process.env.DB_HOST;
exports.DB_HOST = DB_HOST;
const DB_NAME = process.env.DB_NAME;
exports.DB_NAME = DB_NAME;
const DB_ANON_ROLE = process.env.DB_ANON_ROLE;
exports.DB_ANON_ROLE = DB_ANON_ROLE;
const DB_PORT = process.env.DB_PORT;
exports.DB_PORT = DB_PORT;
const LOG_LENGTH = process.env.LOG_LENGTH || 1000;
exports.LOG_LENGTH = LOG_LENGTH;
const JAVA_CMD = process.env.JAVA_CMD || 'java';
exports.JAVA_CMD = JAVA_CMD;
const APGDIFF_JAR_PATH = process.env.APGDIFF_JAR_PATH || '/usr/local/bin/apgdiff.jar';
exports.APGDIFF_JAR_PATH = APGDIFF_JAR_PATH;
const SQITCH_CMD = process.env.SQITCH_CMD || 'sqitch';
exports.SQITCH_CMD = SQITCH_CMD;
const PSQL_CMD = process.env.PSQL_CMD || 'psql';
exports.PSQL_CMD = PSQL_CMD;
const PG_DUMP_CMD = process.env.PG_DUMP_CMD || 'pg_dump';
exports.PG_DUMP_CMD = PG_DUMP_CMD;
const PG_DUMPALL_CMD = process.env.PG_DUMP_CMD || 'pg_dumpall';
exports.PG_DUMPALL_CMD = PG_DUMPALL_CMD;
const MIGRATIONS_DIR = `${APP_DIR}/db/migrations`;
exports.MIGRATIONS_DIR = MIGRATIONS_DIR;
const OPENRESTY_DIR = `${APP_DIR}/openresty`;
exports.OPENRESTY_DIR = OPENRESTY_DIR;
const USE_DOCKER_IMAGE = process.env.USE_DOCKER_IMAGE || true;
exports.USE_DOCKER_IMAGE = USE_DOCKER_IMAGE;
const LOCALHOST = 'localhost';
exports.LOCALHOST = LOCALHOST;
const DEV_DB_URI = process.env.DEV_DB_URI || `postgres://${SUPER_USER}:${SUPER_USER_PASSWORD}@${LOCALHOST}:${DB_PORT}/${DB_NAME}`;
exports.DEV_DB_URI = DEV_DB_URI;

const _IGNORE_ROLES = process.env.IGNORE_ROLES || `${SUPER_USER}, ${DB_USER}, postgres`;

const IGNORE_ROLES = _IGNORE_ROLES.split(',').map(s => s.trim());

exports.IGNORE_ROLES = IGNORE_ROLES;
const DOCKER_APP_DIR = '/src';
exports.DOCKER_APP_DIR = DOCKER_APP_DIR;
const DOCKER_IMAGE = process.env.DOCKER_IMAGE || 'subzerocloud/subzero-cli-tools';
exports.DOCKER_IMAGE = DOCKER_IMAGE;
const DOCKER_MIGRATIONS_DIR = `${DOCKER_APP_DIR}/db/migrations`;
exports.DOCKER_MIGRATIONS_DIR = DOCKER_MIGRATIONS_DIR;
const DB_DIR = process.env.DB_DIR || `${APP_DIR}/db/src/`;
exports.DB_DIR = DB_DIR;
const WATCH_PATTERNS = process.env.WATCH_PATTERNS ? process.env.WATCH_PATTERNS.split(',').map(p => APP_DIR + '/' + p) : [APP_DIR + '/db/src/**/*.sql', APP_DIR + '/openresty/**/*.lua', APP_DIR + '/openresty/**/*.conf'];
exports.WATCH_PATTERNS = WATCH_PATTERNS;

const PLATFORM = _os.default.platform();

exports.PLATFORM = PLATFORM;
const DOCKER_HOST_OS = USE_DOCKER_IMAGE ? _child_process.default.execSync('docker info -f "{{ .OSType}}"').toString('utf8').trim() : null;
exports.DOCKER_HOST_OS = DOCKER_HOST_OS;