"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _blessed = _interopRequireDefault(require("blessed"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class Spinner extends _react.Component {
  constructor(props) {
    super(props);

    _defineProperty(this, "start", () => {
      this.setState({
        current: 0
      });
      this.interval = setInterval(this.spin, this.delay);
    });

    _defineProperty(this, "stop", () => {
      clearInterval(this.interval);
      this.setState({
        current: null
      });
    });

    _defineProperty(this, "spin", () => {
      let {
        current
      } = this.state;
      this.setState({
        current: ++current % this.chars.length
      });
    });

    this.chars = this.props.chars || "|/-\\";
    this.delay = this.props.delay || 60;
    this.state = {
      current: null
    };
  }

  render() {
    const {
      current
    } = this.state;
    const text = current !== null ? this.chars[this.state.current] : '';
    return _react.default.createElement("text", this.props, text);
  }

}

exports.default = Spinner;