#!/usr/bin/env node
"use strict";

var _readline = _interopRequireDefault(require("readline"));

var _colors = _interopRequireDefault(require("colors"));

var _env = require("./env.js");

var _common = require("./common.js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const watcherReady = () => {
  console.log('Watching ' + _env.WATCH_PATTERNS.map(p => p.replace(_env.APP_DIR + '/', '')).join(', ') + ` in ${_env.APP_DIR} for changes.`);
};

const reloadStart = relPath => {
  console.log(`\n${relPath} changed`);
  console.log('Starting code reload..');
};

const reloadEnd = () => {
  console.log('Reload done');
};

const containers = (0, _common.dockerContainers)();
const watcher = (0, _common.runWatcher)(containers, console, watcherReady, reloadStart, reloadEnd);
(0, _common.checkIsAppDir)();
console.log("You can reset the db by pressing the 'r' button\n".white);

_readline.default.emitKeypressEvents(process.stdin);

process.stdin.setRawMode(true);
process.stdin.on('keypress', (str, key) => {
  if (key.name === "c" && key.ctrl) process.exit();

  if (key.name === "r") {
    console.log("\nResetting the db..");
    (0, _common.resetDb)(containers, console).on('close', () => console.log("Db reset done"));
  }
});
process.on('exit', () => watcher.close());